
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef ndd_ERROR_H
#define ndd_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_ndd    (9091)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_ndd_E_CANNOT_READ_SOURCE H2_ENCODE_ERR(M_ndd       , 1)
#define S_ndd_E_BLOCKED            H2_ENCODE_ERR(M_ndd       , 2)
#define S_ndd_E_UNKNOW_POSTER      H2_ENCODE_ERR(M_ndd       , 3)
#define S_ndd_E_INVALID_SPEED      H2_ENCODE_ERR(M_ndd       , 4)
#define S_ndd_E_SETPARAMS          H2_ENCODE_ERR(M_ndd       , 5)
#define S_ndd_E_CANNOT_READ_POSITION H2_ENCODE_ERR(M_ndd       , 6)
#define S_ndd_E_CANNOT_READ_OBSTACLES H2_ENCODE_ERR(M_ndd       , 7)
#define S_ndd_E_UNKNOW_OBST        H2_ENCODE_ERR(M_ndd       , 8)
#define S_ndd_E_EXEC_TASK_GENERAL_FAILURE H2_ENCODE_ERR(M_ndd       , 9)


/* std errors */
#define S_ndd_stdGenoM_ACTIVITY_INTERRUPTED       595846145   /* 9091<<16 | 0x8000 | 100<<8 | 1 */
#define S_ndd_stdGenoM_TOO_MANY_ACTIVITIES        595846146   /* 9091<<16 | 0x8000 | 100<<8 | 2 */
#define S_ndd_stdGenoM_ACTIVITY_FAILED            595846147   /* 9091<<16 | 0x8000 | 100<<8 | 3 */
#define S_ndd_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 595846148   /* 9091<<16 | 0x8000 | 100<<8 | 4 */
#define S_ndd_stdGenoM_UNKNOWN_ACTIVITY           595846149   /* 9091<<16 | 0x8000 | 100<<8 | 5 */
#define S_ndd_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 595846150   /* 9091<<16 | 0x8000 | 100<<8 | 6 */
#define S_ndd_stdGenoM_SYSTEM_ERROR               595846151   /* 9091<<16 | 0x8000 | 100<<8 | 7 */
#define S_ndd_stdGenoM_ACTIVITY_ALREADY_ENDED     595846152   /* 9091<<16 | 0x8000 | 100<<8 | 8 */
#define S_ndd_stdGenoM_WAIT_INIT_RQST             595846153   /* 9091<<16 | 0x8000 | 100<<8 | 9 */
#define S_ndd_stdGenoM_CONTROL_CODEL_ERROR        595846154   /* 9091<<16 | 0x8000 | 100<<8 | 10 */
#define S_ndd_stdGenoM_EXEC_TASK_SUSPENDED        595846155   /* 9091<<16 | 0x8000 | 100<<8 | 11 */
#define S_ndd_stdGenoM_BAD_BLOCK_TYPE             595846156   /* 9091<<16 | 0x8000 | 100<<8 | 12 */
#define S_ndd_stdGenoM_BAD_POSTER_TYPE            595846157   /* 9091<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define NDD_H2_ERR_MSGS {\
    {"E_CANNOT_READ_SOURCE", 1},\
    {"E_BLOCKED", 2},\
    {"E_UNKNOW_POSTER", 3},\
    {"E_INVALID_SPEED", 4},\
    {"E_SETPARAMS", 5},\
    {"E_CANNOT_READ_POSITION", 6},\
    {"E_CANNOT_READ_OBSTACLES", 7},\
    {"E_UNKNOW_OBST", 8},\
    {"E_EXEC_TASK_GENERAL_FAILURE", 9},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int nddRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
